#!/bin/sh

# Install script for DNSMaster Client

#Variables
date=`/bin/date`
tmpfile="/tmp/dnsmaster.ooo"
logfile="/tmp/dnsmaster.install"

#Program
clear
echo "Installing New DNSMaster CLIENT" >> $logfile
echo " " >> $logfile
echo "System Name: " $uname >> $logfile
echo "System Time: " $date >> $logfile
echo "--------------------------------------" >> $logfile
echo " " >> $logfile

echo "Installing DNSMaster Client"
echo "Please enter your e-mail address (must be valid)"
stall EMAIL1
echo "Making Directory /usr/local/DNSMaster" >> $logfile
mkdir /usr/local/DNSMaster >> $logfileA
echo "Copying file dns.sh to /usr/local/DNSMaster" >> $logfile
cp ./dns.sh /usr/local/DNSMaster/ >> $logfile
echo "Changing permissions of the program..." >> $logfile
chmod 755 /usr/local/DNSMaster/dns.sh >> $logfile
echo "Installing Cron Job" >> $logfile
echo "Installing Cront Job..."
cp ./00DNS /etc/crond.d/ >> $logfile
echo "Adding Backup User to System..."
echo "Adding backup user to the system" >> $logfile
echo 
echo "Please enter a password for this user:"
read PASS1
echo "Thank you, setting password as " $PASS1
echo "Pasaword set to " $PASS1 >> $logfile
echo
/usr/sbin/adduser dnsmaster -p $PASS1 >> $logfile
echo "Sending information to master server list..."
echo "Sending information to master server" >> $logfile
cat $logfile | mail -s "New DNSClient install on " $
echo 
echo "Done..." 

