###########################################################
#                      COPYRIGHT                          #
#                  2003 Vegas-Hosting                     #
#                  All RIghts Reserved                    #
#             http://www.Vegas-Hosting.com                # 
#            Contact: dev@Vegas-Hosting.com               #
# Please do not steal our code we do it for thr community #
###########################################################


#!/bin/bash

# Enter your servers here that you want to pull dns from
# Make this an actual IP Address in case DNS is effected ;)

BOX1=""
BOX2=""
BOX3=""

# This is the pass we are using for the DNSMaster client on each machine
# If you specified something different in setup, you will need to change 
# this to match what you changed it to

PW="B4ckM3Up"

# Set some local variables
DATE=`/bin/date`
SYSTEM=`uname -a`
NAMED=`/etc/rc.d/init.d/named`
USER="dnsmaster"
VERSION="0.1a ALPHA"

# Directory Paths
PROGPATH="/usr/local/DNSMaster"
NAMED="/var/named"
RPATH="/home/dnsmaster"

# Grab Config files from Box1
fmirror -l $PROGPATH/box1/conf/ -r $RPATH/conf/ -s $BOX1 -S  -u $USER -p $PW
fmirror -l $PROGPATH/box2/conf/ -r $RPATH/conf/ -s $BOX2 -S  -u $USER -p $PW
fmirror -l $PROGPATH/box3/conf/ -r $RPATH/conf/ -s $BOX3 -S  -u $USER -p $PW

# Move all configs into 1 folder
cp -u $PROGPATH/box1/conf/zone* $PROGPATH
cp -u $PROGPATH/box2/conf/zone* $PROGPATH
cp -u $PROGPATH/box3/conf/zone* $PROGPATH

# Create config files 
cat $PROGPATH/zone* > /var/named/master.named.conf

# Grab actual zone files 
fmirror -l $PROGPATH/box1/zones/ -r $RPATH/zones/ -s $BOX1 -S  -u dnsmaster -p $PW
fmirror -l $PROGPATH/box2/zones/ -r $RPATH/zones/ -s $BOX2 -S  -u dnsmaster -p $PW
fmirror -l $PROGPATH/box3/zones/ -r $RPATH/zones/ -s $BOX3 -S  -u dnsmaster -p $PW

# Move files to the right place
cp -u $PROGPATH/box1/zones/* $PROGPATH/
cp -u $PROGPATH/box2/zones/* $PROGPATH/
cp -u $PROGPATH/box3/zones/* $PROGPATH/

# Cleanup isle 5
rm -f /var/named/db*
mv $PROGPATH/db* /var/named/

# Change file permissions on all new zone records
chown named.named /var/named/db*
chmod 644 /var/named/db*

# Reload name server
/etc/rc.d/init.d/named stop
sleep 1
/etc/rc.d/init.d/named start

# Remove old files
rm -f $PROGPATH/db*
rm -f $PROGPATH/zone*

# Done